Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.configuration
Class ObjectFactoryImpl

    java.lang.Object
      org.jbpm.configuration.ObjectFactoryImpl

All Implemented Interfaces:
  java.io.Serializable, ObjectFactory

    public class ObjectFactoryImpl

extends java.lang.Object
implements ObjectFactory

See Also:
  Serialized Form

Constructor Summary
`ObjectFactoryImpl()`
`ObjectFactoryImpl(java.util.Map namedObjectInfos, java.util.List objectInfos)`

Method Summary
`void` | `addObjectInfo(ObjectInfo objectInfo)`
`java.lang.Object` | `createObject(int index)` create a new object for the given index.
`java.lang.Object` | `createObject(ObjectInfo objectInfo)` create a new object for the given `ObjectInfo`.
`java.lang.Object` | `createObject(java.lang.String name)` create a new object of the given name.
`boolean` | `hasObject(java.lang.String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectFactoryImpl

    public ObjectFactoryImpl()

### ObjectFactoryImpl

    public ObjectFactoryImpl(java.util.Map namedObjectInfos,
                             java.util.List objectInfos)

Method Detail

### addObjectInfo

    public void addObjectInfo(ObjectInfo objectInfo)

### createObject

    public java.lang.Object createObject(java.lang.String name)

  create a new object of the given name. Before creation starts, the non-singlton objects will be cleared from the registry. The singletons will remain in the registry.

  Specified by:
    `createObject` in interface `ObjectFactory`

### hasObject

    public boolean hasObject(java.lang.String name)

  Specified by:
    `hasObject` in interface `ObjectFactory`

### createObject

    public java.lang.Object createObject(int index)

  create a new object for the given index. Before creation starts, the non-singlton objects will be cleared from the registry. The singletons will remain in the registry.

### createObject

    public java.lang.Object createObject(ObjectInfo objectInfo)

  create a new object for the given `ObjectInfo`. Before creation starts, the non-singlton objects will be cleared from the registry. The singletons will remain in the registry.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD